import java.util.ArrayList;

/**
 * @author Abtin Agjamirzaei
 *
 * flight class represents fields related to flights
 */
public class Flight {
    int day;
    int hour;
    int id;
    String destination;
    String source;
    String company;
    Airplane airplane;
    DateAndTime dateAndTime;
    String type;
    public Flight(int id,String source,String destination,String company,Airplane airplane,int day,int hour){
        this.airplane=airplane;
        this.destination=destination;
        this.source=source;
        this.company=company;
        this.id=id;
        this.day=day;
        this.hour=hour;
        this.type=airplane.getType();
        this.company=airplane.getAgency();
        this.dateAndTime.setHour(hour);
        this.dateAndTime.setDay(day);
    }
    /**
     *
     * @return type of the Aircraft
     */
    public String getType(){
        return  type;
    }
    /**
     *
     * @return flight number
     */
    public int getId(){
        return id;
    }
    /**
     *
     * @return destination of the flight
     */
    public String getDestination() {
        return destination;
    }
    /**
     *
     * @return source of the flight
     */
    public String getSource() {
        return source;
    }
    /**
     *
     * @return airplain's company (airline)
     */
    public String getCompany(){
        return company;
    }
    /**
     *
     * @return object of airplane
     */
    public Airplane getAirplane(){
        return airplane;
    }
    /**
     *
     * @return dateandtime of the flight
     */
    public DateAndTime getDateTime(){
        return dateAndTime;
    }
    /**
     *
     * @param flight which is a flight object
     *          shows details of the chosen flight
     */
    public void show(Flight flight){
        java.lang.System.out.println(flight.getDateTime());
        java.lang.System.out.println(flight.getDestination());
        java.lang.System.out.println(flight.getCompany());
        java.lang.System.out.println(flight.getType());
        java.lang.System.out.println(flight.getId());

    }
}

